﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace DontHarmMobile
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class OrdersPage : ContentPage
    {
        public Client CurrentClient { get; set; }
        public Order CurrentOrder { get; set; }
        
        private static readonly string ip = "192.168.229.20";
        private static readonly string port = "10000";

        public OrdersPage(Client client)
        {
            InitializeComponent();
            CurrentClient = client;
            
            CurrentOrder = new Order();
            CurrentOrder.clientId = client.id;

            BindingContext = this;

            UpdateOrders();
        }

        private void UpdateOrders()
        {
            var client = new WebClient();
            var response = client.DownloadString($"http://{ip}:{port}/Orders/ListByClientId/{CurrentClient.id}");

            lvOrders.ItemsSource = JsonConvert.DeserializeObject<List<Order>>(response);
        }

        private void btnAdd_Clicked(object sender, EventArgs e)
        {
            var client = new WebClient();
            client.DownloadString($"http://{ip}:{port}/Orders/Create?ClientId={CurrentClient.id}");
            UpdateOrders();
        }
    }
}