﻿using DontHarmWebApi.Entities;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;

namespace DontHarmWebApi.Controllers
{
    public class OrdersController : Controller
    {
        private readonly user12Context _context;
        public OrdersController(user12Context context)
        {
            _context = context;
        }

        // GET: /Orders/ListByClientId/<int>
        // Возвращает все заказы клиента
        public async Task<IActionResult> ListByClientId(int? id)
        {
            if (id == null || _context.Orders == null)
            {
                return NotFound();
            }

            var data = _context.Orders.Where(e => e.ClientId == id);
            var list = await data.ToListAsync();

            var output = new List<object>();
            list.ForEach(item =>
            {
                output.Add(new 
                {
                    id = item.Id,
                    clientId = item.ClientId,
                    created_at = item.CreatedAt
                });
            });

            return Json(output);
        }

        // Get: Orders/Create
        [HttpGet]
        public async Task<IActionResult> Create([Bind("ClientId")] Order order)
        {
            order.CreatedAt = DateTime.Now;
            _context.Add(order);
            await _context.SaveChangesAsync();
            return Json(order);
        }
    }
}
